Option Balance Inquiry API
Balance inquiry API for merchants using auto top-up. If the custAutoChrgYn field in the response is Y, the customer has enabled auto top-up for insufficient balance and has completed bank account registration, meaning the Spend API will accept requests even when the transaction amount exceeds the current balance (the shortfall is automatically topped up before processing).
API Information
POST/v1/wallet/option/balance
Content-Type
application/json;charset=UTF-8테스트
https://tb-mps-api.hectofinancial.co.kr/v1/wallet/option/balance운영
https://mps-api.hectofinancial.co.kr/v1/wallet/option/balanceRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└custNoAN(20)Alphanumeric, up to 20 bytes*Prepaid member number.
Prepaid member number.
*Unique prepaid member number assigned by Hecto Financial.
└ciAN(255)Alphanumeric, up to 255 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64Member CI value.Member CI value.
*Customer's unique CI value.
Response Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└rsltCdAN(4)Alphanumeric, up to 4 bytes*Result code.
0000Result code.
0000: Success└rsltMsgAN(200)Alphanumeric, up to 200 bytes*Result message.
SuccessResult message.
rsltObj (Response Object)
└custNoAN(20)Alphanumeric, up to 20 bytes*Prepaid member number.
20240000Prepaid member number.
*Unique prepaid member number assigned by Hecto Financial.
└custDivCdAN(1)Alphanumeric, up to 1 bytes*Customer division code.
0Customer division code.
0: Anonymous 1: Named└chrgblAmtN(7)Numeric, up to 7 bytes*Available top-up amount.
500000Available top-up amount.
*Maximum additional Money that can be topped up at the time of inquiry.
└mnyBlcN(7)Numeric, up to 7 bytes*Money balance.
1500000Money balance.
└pntBlcN(7)Numeric, up to 7 bytes*Points balance.
1000Points balance.
└waitMnyBlcN(7)Numeric, up to 7 bytes*Pending Money balance.
0Pending Money balance.
└expMnyBlcN(7)Numeric, up to 7 bytes*Money expiring within 2 months.
0Money expiring within 2 months.
*Money validity period is 10 years.
└custAutoChrgYnAN(1)Alphanumeric, up to 1 bytes*Customer auto top-up flag.
YCustomer auto top-up flag.
*Y if the customer has auto top-up enabled with automatic top-up for insufficient balance.
When 'Y', the Spend API will accept requests even when the customer's balance is less than the transaction amount, automatically topping up the shortfall before processing.
When 'Y', the Spend API will accept requests even when the customer's balance is less than the transaction amount, automatically topping up the shortfall before processing.
Request Example
{
"custNo": "2400001605",
"ci": "AES-encrypted CI value"
}
Response Examples
Success
{
"rsltCd": "0000",
"rsltMsg": "Success",
"rsltObj": {
"custNo": "2400001605",
"custDivCd": "0",
"chrgblAmt": "500000",
"mnyBlc": "1500000",
"pntBlc": "1000",
"waitMnyBlc": "0",
"expMnyBlc": "0",
"custAutoChrgYn": "Y"
}
}
Failure (Merchant Not Using Auto Top-up)
{
"rsltCd": "M-007",
"rsltMsg": "This merchant does not use auto top-up. This API is not available."
}
Need technical support?
Code Samples
HectoFinancial GitHub